CHIL - CSS HTML Intergrated Language
===

###Description of the Language
The CHIL language is framed to help developers swiftly generate websites. CHIL allows the developer to create functional, stylistic, and dynamic web pages through the mastery of only one language. This language will combine both content and styling into a single language.

###Files

1. Final Folder - What we were able to accomplish that would result in compiling
    - tests - Folder with all test cases used in the language
    - ast.ml - Abstract Syntax tree
    - bytecode.ml - Rules for converting to bytecode
    - chil.ml - Top level constructor
    - compile.ml - compiles the code to a symbol table
    - execute.ml - creates an executable program
    - interpret.ml - interprets the program
    - Makefile - run and compile in the command line. Allow for easy testing
    - parser.mly - parses the tokens with the grammer defined for the language
    - scanner.mll - scans the program and tokenizes it for the parser.

###How To Run

1. Execute `make` in the directory for the project (final)
2. `./chil -c <SOURCE_FILE_NAME> OUTPUT_FILE_NAME`

The result of running `SOURCE_FILE_NAME` will now be set to the contents of `OUTPUT_FILE_NAME`.

To display output to the command line, you can do the following:

`./chil -c <SOURCE_FILE_NAME> OUTPUT_FILE_NAME && less OUTPUT_FILE_NAME`

This will display the output file contents on the screen as soon as it is completed.

